@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.footer
  display: grid
  grid-template-columns: minmax(0, 420px) minmax(0, 510px)
  justify-content: space-between
  padding: 100px 0
  opacity: 0
  @media (max-width: $mbp)
    padding: 100px 0 50px 0
    grid-template-columns: 1fr
    grid-row-gap: 100px
  &-wrapper
    background: linear-gradient($green, $green) top left / 0% 2px no-repeat
  &-left
    display: grid
    grid-auto-rows: min-content
    justify-items: flex-start
    @media (max-width: $mbp)
      order: 2
    &__logo
      background: #FFFFFF
      border-radius: 10px
      padding: 27px 75px
      margin-bottom: 24px
    &__text
      @extend .text-f16
      color: $white
      font-weight: 500
  &-right
    display: grid
    @media (max-width: $mbp)
      order: 1
    &__title
      @extend .text-f24
      color: $white
      font-weight: 700
      margin-bottom: 16px
      @media (max-width: $mbp)
        font-size: $f22-size
        line-height: $f22-lh
    &__text
      @extend .text-f16
      color: $white
      font-weight: 500
      margin-bottom: 48px
      @media (max-width: $mbp)
        margin-bottom: 40px
    &-form
      display: grid
      align-items: flex-end
      grid-column-gap: 60px
      grid-template-columns: minmax(0, 250px) minmax(0, 200px)
      @media (max-width: $mbp)
        grid-template-columns: 1fr
        grid-row-gap: 48px
      input
        @extend .text-f16
        transition: border-bottom-color .1s
        padding: 10px 0
        border-bottom: 1px solid $grey
        color: $white
        &::placeholder
          color: $grey
        &:focus
          border-bottom-color: $white

